commit:     05d9a1ee2b98375bc7cc3f0b6979fb643ab60247
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Sun Oct  3 13:06:01 2021 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Sun Oct  3 13:06:01 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=05d9a1ee

net-libs/libupnp: bump to version 1.14.12

I am also taking ownership, as this package has been dropped to m-n.
Both tests, 'test_init' and 'test_url', have been disabled, as they
required network and can't run in our network sandbox. Rest will just
run fine.

Closes: https://bugs.gentoo.org/628392
Closes: https://bugs.gentoo.org/733750
Package-Manager: Portage-3.0.22, Repoman-3.0.3
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 net-libs/libupnp/Manifest                          |  1 +
 .../libupnp-1.14.12-disable-network-tests.patch    | 15 +++++++
 net-libs/libupnp/libupnp-1.14.12.ebuild            | 50 ++++++++++++++++++++++
 net-libs/libupnp/metadata.xml                      | 30 +++++++------
 4 files changed, 83 insertions(+), 13 deletions(-)

diff --git a/net-libs/libupnp/Manifest b/net-libs/libupnp/Manifest
index f3c0cc8ddcb..a4442cccbb0 100644
--- a/net-libs/libupnp/Manifest
+++ b/net-libs/libupnp/Manifest
@@ -1 +1,2 @@
+DIST libupnp-1.14.12.tar.gz 788299 BLAKE2B 
721c10f9fa4ffc60743b4ebf8be566ea595931cb1f2a2448d8e3cecfc787abfb855cb16256eaaa10ce6a901cd5e5b3d14672610841b2a718d5dd003ccfd3c2f0
 SHA512 
aab17aa12f15d110bfab20cbcbae5f54926b6ca7a30bce10b9287cd39919a06a5e9f1493405e1d561c0d58ba46926f87009df891e4e4f37097df1c3c67635ca9
 DIST libupnp-1.14.7.tar.gz 785084 BLAKE2B 
539388737dda0dd037cb50fbc1cca8bcdc43d1d706bdb7da19d1a184cfd61f3d585d9beef2a9c8c33f2cb2640a8479210ad6c358abd7193f304509df574e912c
 SHA512 
92dd80d1bbaa64e6d3909c5bce73d0340fcd3a3c1d247a634bd48ec077ba0ce0b8224d1a670a66f6a8c591e31a54f15526071d62ae5460e85d582d7b6b67c674

diff --git a/net-libs/libupnp/files/libupnp-1.14.12-disable-network-tests.patch 
b/net-libs/libupnp/files/libupnp-1.14.12-disable-network-tests.patch
new file mode 100644
index 00000000000..4c602c02d8d
--- /dev/null
+++ b/net-libs/libupnp/files/libupnp-1.14.12-disable-network-tests.patch
@@ -0,0 +1,15 @@
+--- a/upnp/Makefile.am
++++ b/upnp/Makefile.am
+@@ -203,10 +203,8 @@
+ 
+ 
+ # check / distcheck tests
+-check_PROGRAMS = test_init test_url test_log test_list
+-TESTS = test_init test_url test_log test_list
+-test_init_SOURCES = test/test_init.c
+-test_url_SOURCES = test/test_url.c
++check_PROGRAMS = test_log test_list
++TESTS = test_log test_list
+ test_log_SOURCES = test/test_log.c
+ test_list_SOURCES = test/test_list.c
+ 

diff --git a/net-libs/libupnp/libupnp-1.14.12.ebuild 
b/net-libs/libupnp/libupnp-1.14.12.ebuild
new file mode 100644
index 00000000000..a7af6a46ad6
--- /dev/null
+++ b/net-libs/libupnp/libupnp-1.14.12.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+MY_PN="pupnp"
+
+DESCRIPTION="An Portable Open Source UPnP Development Kit"
+HOMEPAGE="http://pupnp.sourceforge.net/";
+SRC_URI="https://github.com/${MY_PN}/${MY_PN}/archive/release-${PV}.tar.gz -> 
${P}.tar.gz"
+S="${WORKDIR}/${MY_PN}-release-${PV}"
+
+LICENSE="BSD"
+SLOT="0/17"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86 
~amd64-linux"
+IUSE="blocking-tcp debug doc +ipv6 +reuseaddr samples +ssl static-libs tools"
+
+RDEPEND="ssl? ( dev-libs/openssl:0= )"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=( "${FILESDIR}/${PN}-1.14.12-disable-network-tests.patch" )
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       local myeconfargs=(
+               $(use_enable blocking-tcp blocking-tcp-connections)
+               $(use_enable debug)
+               $(use_enable ipv6)
+               $(use_enable reuseaddr)
+               $(use_enable samples)
+               $(use_enable ssl open_ssl)
+               $(use_enable static-libs static)
+               $(use_enable tools)
+       )
+
+       econf ${myeconfargs[@]}
+}
+
+src_install() {
+       default
+
+       find "${D}" -name '*.la' -delete || die
+}

diff --git a/net-libs/libupnp/metadata.xml b/net-libs/libupnp/metadata.xml
index 0fb34d993c6..f11aa55da64 100644
--- a/net-libs/libupnp/metadata.xml
+++ b/net-libs/libupnp/metadata.xml
@@ -1,17 +1,21 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
 <pkgmetadata>
-  <!-- maintainer-needed -->
-  <slots>
-    <subslots>Reflect ABI of libupnp.so.</subslots>
-  </slots>
-  <upstream>
-    <remote-id type="sourceforge">pupnp</remote-id>
-    <remote-id type="github">pupnp/pupnp</remote-id>
-  </upstream>
-  <use>
-    <flag name="reuseaddr">Allow clean restarts by binding the socket with 
SO_REUSEADDR</flag>
-    <flag name="blocking-tcp">Do not use async socket calls</flag>
-    <flag name="samples">Install sample applications</flag>
-  </use>
+       <maintainer type="person">
+               <email>conik...@gentoo.org</email>
+               <name>Conrad Kostecki</name>
+       </maintainer>
+       <slots>
+               <subslots>Reflect ABI of libupnp.so</subslots>
+       </slots>
+       <upstream>
+               <remote-id type="sourceforge">pupnp</remote-id>
+               <remote-id type="github">pupnp/pupnp</remote-id>
+       </upstream>
+       <use>
+               <flag name="blocking-tcp">Do not use async socket calls</flag>
+               <flag name="reuseaddr">Allow clean restarts by binding the 
socket with SO_REUSEADDR</flag>
+               <flag name="samples">Install sample applications</flag>
+               <flag name="tools">Install additional tools</flag>
+       </use>
 </pkgmetadata>

Reply via email to